Merge duplicate clients into a primary client.

Overview

Merge two or more duplicate clients into one primary client.

Authentication

Available for Staff, App, and Directory tokens.

Query Parameters

  • to_client_uid (required): UID of the destination primary client
  • from_client_uids (required): Comma-separated UIDs of clients to merge into the primary client

Business Rules

  • Clients must represent different contact persons to be merged
  • Clients related to the same contact cannot be merged (returns 422 error)
  • Use GET /platform/v1/clients/merges/possible_merge_master to check merge eligibility first

Request Body

The request body can be empty but must be sent (e.g., {}).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

UID of the destination primary client.

string
required

UIDs of all the clients to be merged into the to_client_uid, as a non-empty comma-separated string (e.g., 'uid1,uid2').

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json